
QGIS Application - Bug report #15880

Symbol Size assistant: Values greater than 1 000 000 are not "correctly" rendered in the legend

2016-11-22 08:12 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.8 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23798

Description

From a point marker symbol, click on the size assistant button and use expression or field that returns values greater than 1000000.

The label of circles is rendered in the format 1.01e+06 which is not really readable and understandable in the layer panel or print

composer legend, when the range of values is not too large.

While I know these are large values, it may be nice to have them rendered as plain number (not sure of the correct terminology).

Still apply in 2.18

Related issues:

Duplicated by QGIS Application - Bug report # 18302: QGIS2+: values shown in ... Closed 2018-03-01

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-02 11:41 AM - Jürgen Fischer

- Duplicated by Bug report #18302: QGIS2+: values shown in scientific notation added

#3 - 2018-03-02 03:44 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

- Description updated

See #18302
